

<nj-sidebar style="display: block; position: relative; float: left;" folded>
  <div class="nj-sidebar nj-sidebar--navbar nj-sidebar--folded" style="" id="SidebarWithNavbar">
    <div class="nj-list-group nj-list-group--no-border nj-sidebar__navigation" style="" >
      <div class="nj-list-group__item fs16" style="flex-direction:row !important">
        
        <button class="nj-list-group__item nj-sidebar__fold-btn mt-auto" 
          style="flex:1;align-items:center;padding:0 !important;background-color:inherit !important;" 
          [ngStyle]="{'justify-content': (menuVisible == true ? 'flex-start' : 'flex-start')}"
          data-toggle="sidebar" data-target="#SidebarWithNavbar" 
          (click)="handleMenuVisibility()">
          <i class="material-icons md-24 mr-0 nj-sidebar__toggler">keyboard_arrow_right</i>
        </button>
        <a *ngIf="!menuVisible" class="nj-navbar__brand" href="#" style="flex: 4;align-items:flex-end !important;width:auto !important" >
          <img src="https://design.digital.engie.com/assets/brand/logo-engie-blue.svg" alt="" class="nj-navbar__logo">
        </a>
      </div>

      <ng-container *ngFor="let function of userFunctionalities;let i = index; ">


        <a *ngIf="function['function_id'] == 'dashboard'" title="Dashboard" class="nj-list-group__item fs16 bold pointer" (click)="navigate('dashboard')"
          [ngStyle]="{'background-color': (url == 'dashboard' ? '#eeeeee' : '')}" >
          <i class="material-icons md-24 mr-3 engieBlue">space_dashboard</i>
          Dashboard
        </a>
        <div class="submenu" *ngIf="url == 'dashboard' && menuVisible == false">

        </div>

        <a *ngIf="function['function_id'] == 'videowall'" title="Videowall" class="nj-list-group__item fs16 bold pointer" (click)="navigate('videowall')"
          [ngStyle]="{'background-color': (url == 'videowall' ? '#eeeeee' : '')}" >
          <i class="material-icons md-24 mr-3 engieBlue">map</i>
          Videowall
        </a>
        <div class="submenu" *ngIf="url == 'videowall' && menuVisible == false">

        </div>

        <a *ngIf="function['function_id'] == 'allarmi'" title="Notifications" class="nj-list-group__item fs16 bold pointer" (click)="navigate('notifications')"
          [ngStyle]="{'background-color': (url == 'notifications' ? '#eeeeee' : '')}" >
          <i class="material-icons md-24 mr-3 engieBlue">notification_important</i>
          Allarmi
        </a>
        <div class="submenu" *ngIf="url == 'notifications' && menuVisible == false">

        </div>

        <a *ngIf="function['function_id'] == 'tasks'" title="Tasks" class="nj-list-group__item fs16 bold pointer" (click)="navigate('tasks')"
          [ngStyle]="{'background-color': (url == 'tasks' ? '#eeeeee' : '')}" >
          <i class="material-icons md-24 mr-3 engieBlue">assignment</i>
          Tasks
        </a>
        <div class="submenu" *ngIf="url == 'tasks' && menuVisible == false">

        </div>

        <a *ngIf="function['function_id'] == 'anagrafica'" title="Anagrafica Impianti" class="nj-list-group__item fs16 bold pointer" (click)="navigate('anagrafica')"
          [ngStyle]="{'background-color': (url == 'anagrafica' ? '#eeeeee' : '')}" >
          <i class="material-icons md-24 mr-3 engieBlue">contact_mail</i>
          Anagrafica
        </a>
        <div class="submenu" *ngIf="url == 'anagrafica' && menuVisible == false">

        </div>
        
        <a *ngIf="function['function_id'] == 'report'" title="Report" class="nj-list-group__item fs16 bold pointer" (click)="navigate('report')"
          [ngStyle]="{'background-color': (url == 'report' ? '#eeeeee' : '')}" >
          <i class="material-icons md-24 mr-3 engieBlue">insert_chart</i>
          Report
        </a>
        <div class="submenu" *ngIf="url == 'report' && menuVisible == false">

        </div>

      </ng-container>
      
    </div>
  </div>
</nj-sidebar>
